Page MenuHomePhabricator

"Upload anyway" link next to file which has duplicates on the wiki should be a OOjs UI button
Closed, ResolvedPublic

Description

"Upload anyway" link next to file which has deleted duplicates on the wiki (duplicate-archive warning) should be a OOjs UI button, like the "Remove" link.

Event Timeline

matmarex created this task.Sep 30 2015, 9:44 AM
matmarex raised the priority of this task from to Low.
matmarex updated the task description. (Show Details)
Restricted Application added a project: Multimedia. · View Herald TranscriptSep 30 2015, 9:44 AM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 30 2015, 5:32 PM
matmarex added a subscriber: matmarex.

I'm going to propose (and mentor) this as a task for Google-Code-In-2015.

The task links https://www.mediawiki.org/wiki/OOjs_UI which is just a big pile of links. Could you also provide a direct link to a relevant usage manual for this button task?

matmarex updated the task description. (Show Details)Dec 17 2015, 12:44 PM
matmarex set Security to None.

The relevant part of the documentation would be https://www.mediawiki.org/wiki/OOjs_UI/Widgets/Buttons_and_Switches. You might also look at how the "Remove" button is constructed (it uses OOjs UI).

Change 260900 had a related patch set uploaded (by PranavK):
Make "Upload anyway" link a OOjs UI button

https://gerrit.wikimedia.org/r/260900

matmarex closed this task as Resolved.Dec 26 2015, 8:30 PM
matmarex assigned this task to Pranavmk98.
matmarex removed a project: Patch-For-Review.

Change 260900 merged by jenkins-bot:
Make "Upload anyway" link an OOjs UI button

https://gerrit.wikimedia.org/r/260900